Package ru.bitel.bgbilling.kernel.contract.object.common.bean

# Class ObjectType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.object.common.bean.ObjectType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ObjectType extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `List<Integer>`
  `getModuleList()`
  `String`
  `getNameMakros()`
  `boolean`
  `isHidden()`
  `ObjectType`
  `setComment(String comment)`
  `ObjectType`
  `setHidden(boolean hidden)`
  `ObjectType`
  `setId(int id)`
  Устанавливает id объекта
  `ObjectType`
  `setModuleList(List<Integer> moduleList)`
  `ObjectType`
  `setNameMakros(String nameMakros)`
  `ObjectType`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ObjectType

    public ObjectType()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getModuleList

    public List<Integer> getModuleList()

  - ### getNameMakros

    public String getNameMakros()

  - ### isHidden

    public boolean isHidden()

  - ### setComment

    public ObjectType setComment(String comment)

  - ### setHidden

    public ObjectType setHidden(boolean hidden)

  - ### setId

    public ObjectType setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setModuleList

    public ObjectType setModuleList(List<Integer> moduleList)

  - ### setNameMakros

    public ObjectType setNameMakros(String nameMakros)

  - ### setTitle

    public ObjectType setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`